curl --request POST \
--url https://api.krea.ai/generate/image/krea/krea-2/medium \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompt": "Persian caravanserais, where silk routes pause and dream.",
"aspect_ratio": "1:1",
"resolution": "1K"
}
'import requests
url = "https://api.krea.ai/generate/image/krea/krea-2/medium"
payload = {
"prompt": "Persian caravanserais, where silk routes pause and dream.",
"aspect_ratio": "1:1",
"resolution": "1K"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
prompt: 'Persian caravanserais, where silk routes pause and dream.',
aspect_ratio: '1:1',
resolution: '1K'
})
};
fetch('https://api.krea.ai/generate/image/krea/krea-2/medium', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "backlogged",
"created_at": "2023-11-07T05:31:56Z",
"completed_at": null,
"result": null,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Krea 2 Medium
Best for expressive illustrations.
Pricing
| K2 Billing Tier | Price |
|---|---|
| Text to image | $0.03 |
| Style references | $0.035 |
| Moodboards | $0.04 |
Deprecated request aliases
Deprecated request aliases
| Deprecated | Use instead | Accepted until |
|---|---|---|
presetStyles | styles | 2026-06-19 |
imageStyleRefs | image_style_references | 2026-06-19 |
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
URL to receive a POST request when the job completes. The webhook will receive the job data including results.
Enable Zero Data Retention for this request. Refer to the documentation.
1 Body
Aspect ratio. One of: 1:1, 4:3, 3:2, 16:9, 2.35:1, 4:5, 2:3, 9:16.
1:1, 4:3, 3:2, 16:9, 2.35:1, 4:5, 2:3, 9:16 Resolution scale. One of: 1K.
1K Styles (typically LoRAs) to use for the generation
Show child attributes
Show child attributes
Image style references. (0 = no style influence, 1 = maximum). Default 0.5.
10Show child attributes
Show child attributes
Prompt expansion mode. raw disables prompt expansion; low, medium, and high control expansion strength. This does not affect the K2 Intensity, Complexity, or Movement slider LoRAs.
raw, low, medium, high K2 Intensity slider value from -100 to 100. Use 0 for neutral/no slider LoRA.
-100 <= x <= 100K2 Complexity slider value from -100 to 100. Use 0 for neutral/no slider LoRA.
-100 <= x <= 100K2 Movement slider value from -100 to 100. Use 0 for neutral/no slider LoRA.
-100 <= x <= 100Moodboards to use for generation. Currently limited to one moodboard.
1Show child attributes
Show child attributes
Optional source image for image-to-image generation. When provided, generation starts from this image instead of pure noise. Control how much it changes with strength.
1024Denoising strength when image_url is provided. 0 keeps the input image, 1 fully replaces it (the input image is ignored). Has no effect without image_url. Default 0.99.
0 <= x <= 1Response
The resulting job data. This will be returned in a pending state until the job is completed. See /jobs/{id} for retrieving the results.
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$backlogged, queued, scheduled, processing, sampling, intermediate-complete, completed, failed, cancelled ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$Show child attributes
Show child attributes
Was this page helpful?